:root {
	/* Font size */
	--font-size-00: 0.5rem; /* 8px */
	--font-size-0: 0.75rem; /* 12px */
	--font-size-1: 0.875rem; /* 14px */
	--font-size-2: 1rem; /* 16px */
	--font-size-3: 1.1rem; /* 18px */

	--font-size-heading-h1: 2.25rem; /* 36px */
	--font-size-heading-h2: 1.75rem; /* 28px */
	--font-size-heading-h3: 1.5rem; /* 24px */
	--font-size-heading-h4: 1.25rem; /* 20px */
	--font-size-heading-h5: 1.125rem; /* 18px */

	--font-size-body-lg: 1.125rem; /* 18px */
	--font-size-body-md: 1rem; /* 16px */
	--font-size-body-sm: 0.875rem; /* 14px */
	--font-size-body-xs: 0.75rem; /* 12px */

	@media screen and (max-width: 768px) {
		--font-size-heading-h1: 1.5rem; /* 24px */
		--font-size-heading-h2: 1.25rem; /* 20px */
		--font-size-heading-h3: 1.125rem; /* 18px */
		--font-size-heading-h4: 1rem; /* 16px */
		--font-size-heading-h5: 0.875rem; /* 14px */

		--font-size-body-lg: 1rem; /* 16px */
		--font-size-body-md: 0.875rem; /* 14px */
		--font-size-body-sm: 0.75rem; /* 12px */
		--font-size-body-xs: 0.625rem; /* 10px */
	}

	/* Header */
	--header-height: 96px;

	/* z-index */
	--z-index-main: 1000;
	--z-index-side-menu: calc(var(--z-index-main) + 100);
	--z-index-header: calc(var(--z-index-main) + 110);
	--z-index-toasts: calc(var(--z-index-main) + 120);
	--z-index-bottom-menu: calc(var(--z-index-main) + 125);
	--z-index-overlay: calc(var(--z-index-main) + 130);

	/* Side menu */
	--side-menu-width: 200px;
	--side-menu-bg: var(--color-set-primary-gradient);
	--side-menu-bg-active: white;
	--side-menu-text: white;
	--side-menu-text-active: var(--color-set-primary-foreground);

	--container-padding: 40px 24px;

	@media screen and (max-width: 768px) {
		--container-padding: 24px 16px;
	}

	/* @svelte-plugins/tooltips */
	/* --tooltip-arrow-size: 10px; */
	--tooltip-background-color: rgb(226, 132, 65, 0.9) !important;
	/* --tooltip-border-radius: 4px;
		--tooltip-box-shadow: 0 1px 20px rgba(0, 0, 0, 0.25); */
	/* --tooltip-font-family:
		-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,
		'Helvetica Neue', sans-serif; */
	/* --tooltip-font-size: 14px;
		--tooltip-font-weight: 500;
	--tooltip-line-height: 1.25rem;
	--tooltip-color: #fff;
	--tooltip-offset-x: 12px;
	--tooltip-offset-y: 12px;
	--tooltip-padding: 12px;
	--tooltip-white-space-hidden: nowrap;
	--tooltip-white-space-shown: normal;
	--tooltip-z-index: 100; */
}
